Множественные уязвимости в Eazy Cart

Дата публикации:
10.10.2006
Дата изменения:
17.10.2006
Всего просмотров:
1010
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-5245
CVE-2006-5246
CVE-2006-5247
CVE-2006-5248
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Eazy Cart 2.x
Уязвимые версии: Eazy Cart 2.01, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным на системе.

1. Уязвимость существует в процессе аутентификации в различных файлах в каталоге "admin". Удаленный пользователь может получить доступ к административному интерфейсу приложения.

2. Уязвимость существует из-за ошибки при обработке входных данных в параметре "price" в сценарии easycart.php. Удаленны пользователь может управлять заказами в приложении.

3. Уязвимость существует из—за недостаточной обработки различных параметров в сценарии "easycart.php". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/easycart.php?action=add&des=[code]
http://[host]/easycart.php?action=add&qty=[code]

4. Уязвимость существует из-за недостаточного ограничения доступа к файлу admin/config/customer.dat. Удаленный пользователь может получить доступ к личным данным других пользователей.

URL производителя: www.eazycart.com

Решение: Способов устранения уязвимости не существует в настоящее время.



Ссылки: Eazy Cart Multiple Security Issues
или введите имя

CAPTCHA